Bug 180484 - ptraced multithreaded exec dies with spurious SIGKILL
ptraced multithreaded exec dies with spurious SIGKILL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On: 177240
Blocks: 173278
  Show dependency treegraph
Reported: 2006-02-08 10:47 EST by Andrew Cagney
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.6.16-1.2092_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-12 06:43:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Cagney 2006-02-08 10:47:45 EST
Editor note: Re-basing the FC-4 kernel to kernel-2.6.15-1.1830_FC4.i686
introduced this regression into FC-4.

+++ This bug was initially created as a clone of Bug #177240 +++

Description of problem:

Version-Release number of selected component (if applicable):
2.6.14-1.1773_FC5smp, 2.6.15-1.1826.2.4_FC5

How reproducible:

Steps to Reproduce:
1. gcc -o threadexec -g threadexec.c -lpthread
2. ./threadexec /bin/echo hi => see it work
3. strace -f -o log ./threadexec /bin/echo hi => see it fail
Actual results:

In the traced run, the process dies by SIGKILL immediately after execing /bin/echo.

Expected results:

After the exec, /bin/echo should run normally (and be traced).

Additional info:

-- Additional comment from roland@redhat.com on 2006-01-07 22:19 EST --
Created an attachment (id=122915)
threaded execer program for test case

-- Additional comment from roland@redhat.com on 2006-01-08 04:25 EST --
Verified this bug is in the current upstream kernel.
Comment 1 Dave Jones 2006-09-16 21:55:31 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Roland McGrath 2006-10-12 06:43:21 EDT
This was already fixed.
2.6.16-1.2108_FC4smp tests ok.

Note You need to log in before you can comment on or make changes to this bug.